#!/bin/bash
bold=$(tput bold)
normal=$(tput sgr0)
echo " "
echo "******************************************************************"
echo " "
echo "${bold}Please make sure that you have only ONE U-TAP device plugged in${normal}"
echo " "
echo "${bold}!!! Make sure that the U-TAP is plugged directly into your PC and not into a USB hub !!!${normal}"
echo " "
echo "${bold}!!! DO NOT interrupt update while processing !!!${normal}"
echo " "
echo "This will take a few minutes"
echo " "


DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd "$DIR/firmware"

if ! ./updater -v
then
    printf '${bold}Failed to open device\n${normal}'
    exit 1
fi

echo " "
read -p "Are you sure you want to continue[Y/n]?" -n 1 -r
echo    # (optional) move to a new line
if [[ ! $REPLY =~ ^[Yy]$ ]]
then
    exit 1
fi


if ! ./updater -i U-TAP_1_00.img
then
    printf '${bold}Failed to load software\n${normal}'
    exit 1
fi

if ! ./updater -f U-TAP_1_00.bin
then
    printf '${bold}Failed to load firmware\n${normal}'
    exit 1
fi
echo " "
echo "${bold}U-Tap Update Complete${normal}"
echo " "
echo "${bold}To complete the upgrade please REBOOT your U-TAP before using.${normal}"
echo " "
echo "******************************************************************"


